Sync Menu
Retrieves menu data for a location (items, prices, modifiers, categories). PAR calls this endpoint periodically to synchronize menu data for order validation.
Headers
- Type: stringAuthorizationrequired
Used to authorize the request with jwt_token. It should be supplied as Bearer JWT_TOKEN_GOES_HERE.
- Type: stringContent
- Type requiredSet this header to application/json.
Body·
required
application/json
- Type: stringlocation
_id requiredLocation identifier
- Type: stringorganization
_id requiredOrganization identifier
Responses
- application/json
- 401
Unauthorized
- 404
Location not found
Request Example for post/posnext/menus
curl https://api.partech.com/v1/posnext/menus \
--request POST \
--header 'Authorization: Bearer JWT_TOKEN_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"location_id": "loc-001",
"organization_id": "org-123"
}'
{
"location_id": "loc-001",
"data": {
"menus": [
{
"id": "menu-001",
"name": "Main Menu",
"category_ids": [
"cat-001"
]
}
],
"categories": [
{
"id": "cat-001",
"name": "Burgers",
"product_ids": [
"prod-001"
]
}
],
"products": [
{
"id": "prod-001",
"name": "Classic Burger",
"state": 1,
"product_group_ids": [
"group-001"
],
"tax_rates": []
}
],
"product_groups": [
{
"id": "group-001",
"name": "Size",
"type": 2,
"min_qty": 1,
"max_qty": 1,
"product_ids": [
"mod-001",
"mod-002"
]
}
],
"prices": [
{
"menu_id": "menu-001",
"category_id": "cat-001",
"product_group_id": null,
"product_id": "prod-001",
"price": 1299
}
]
},
"sync_interval": "daily",
"master_source": true,
"last_updated": "2025-01-15T10:00:00.000Z"
}Menu data retrieved successfully.
Menu Signature Calculation for x-pch-digest Response Header
The menu signature is calculated using the following format:
LocationId|PriceCount|LastUpdatedSeconds
Where:
LocationId- Location identifierPriceCount- Number of prices in the responseLastUpdatedSeconds- Unix timestamp of the last update